<!-- 标签页 -->
<template>
  <el-tabs type="border-card" @tab-click="handleTabchange">
    <el-tab-pane v-for="t in tabList" :label="t.label" v-if="t.isShow" :disabled="t.disabled">
      <slot name="tabContent"></slot>
    </el-tab-pane>
  </el-tabs>
</template>

<script>
export default {
  name: 'dr-tabs',
  props: ['tabList', 'handleTabClick'],
  data() {
    return {
      // tabList,
      // detailsTabs,
    }
  },
  methods: {
    // 标签页切换
    handleTabchange(e) {
      this.handleTabClick(e);
    },
  },
  created() {
    // console.log(this.tabList, 'tabList');
  }
}
</script>

